org.richfaces.component

## Class UIList

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.UIDataAdaptor
      - - org.richfaces.component.UISequence
        - - org.richfaces.component.AbstractList
          - - org.richfaces.component.UIList

- All Implemented Interfaces:
    EventListener, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.NamingContainer, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.component.UniqueIdVendor, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListener, javax.faces.event.SystemEventListenerHolder, IterationStateHolder, CoreProps, EventsKeyProps, EventsMouseProps, EventsRowProps, I18nProps, IterationProps, RowsProps, SequenceProps

      @Generated(value={"RichFaces CDK","4.5.0-SNAPSHOT"})
      public class UIList
      extends AbstractList
      implements javax.faces.component.behavior.ClientBehaviorHolder, CoreProps, EventsKeyProps, EventsMouseProps, EventsRowProps, I18nProps, IterationProps, RowsProps, SequenceProps

  The <rich:list> component renders a list of items. The list can be an numerically ordered list, an un-ordered bullet-point list, or a data definition list. The component uses a data model for managing the list items, which can be updated dynamically.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `UIList.Properties`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UISequence

      `UISequence.PropertyKeys`

    - ### Nested classes/interfaces inherited from class org.richfaces.component.UIDataAdaptor

      `UIDataAdaptor.ComponentVisitor`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class org.richfaces.component.AbstractList

      `TERM`

    - ### Fields inherited from class org.richfaces.component.UIDataAdaptor

      `decodeVisitor, updateVisitor, validateVisitor`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

    - ### Fields inherited from interface javax.faces.component.NamingContainer

      `SEPARATOR_CHAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UIList()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDefaultEventName()`
    `String` | `getDir()` Direction indication for text that does not inherit directionality.
    `Collection<String>` | `getEventNames()`
    `String` | `getFamily()`
    `String` | `getLang()` Code describing the language used in the generated markup for this component.
    `String` | `getOnclick()` Javascript code executed when a pointer button is clicked over this element.
    `String` | `getOndblclick()` Javascript code executed when a pointer button is double clicked over this element.
    `String` | `getOnkeydown()` Javascript code executed when a key is pressed down over this element.
    `String` | `getOnkeypress()` Javascript code executed when a key is pressed and released over this element.
    `String` | `getOnkeyup()` Javascript code executed when a key is released over this element.
    `String` | `getOnmousedown()` Javascript code executed when a pointer button is pressed down over this element.
    `String` | `getOnmousemove()` Javascript code executed when a pointer button is moved within this element.
    `String` | `getOnmouseout()` Javascript code executed when a pointer button is moved away from this element.
    `String` | `getOnmouseover()` Javascript code executed when a pointer button is moved onto this element.
    `String` | `getOnmouseup()` Javascript code executed when a pointer button is released over this element.
    `String` | `getOnrowclick()` Javascript code executed when a pointer button is clicked over table row.
    `String` | `getOnrowdblclick()` Javascript code executed when a pointer button is double clicked over table row.
    `String` | `getOnrowkeydown()` Javascript code executed when a key is pressed down over table row.
    `String` | `getOnrowkeypress()` Javascript code executed when a key is pressed and released over table row.
    `String` | `getOnrowkeyup()` Javascript code executed when a key is released over table row.
    `String` | `getOnrowmousedown()` Javascript code executed when a pointer button is pressed down over table row.
    `String` | `getOnrowmousemove()` Javascript code executed when a pointer button is moved within table row.
    `String` | `getOnrowmouseout()` Javascript code executed when a pointer button is moved away from table row.
    `String` | `getOnrowmouseover()` Javascript code executed when a pointer button is moved onto table row.
    `String` | `getOnrowmouseup()` Javascript code executed when a pointer button is released over table row.
    `String` | `getRowClass()` Assigns one or more space-separated CSS class names to the list rows
    `String` | `getRowClasses()` Assigns one or more space-separated CSS class names to the rows of the table.
    `String` | `getStyle()` CSS style(s) to be applied when this component is rendered.
    `String` | `getStyleClass()` Space-separated list of CSS style class(es) to be applied when this element is rendered.
    `String` | `getTitle()` Advisory title information about markup elements generated for this component.
    `ListType` | `getType()` The type of the list: unordered (default), ordered, definitions
    `void` | `setDir(String dir)`
    `void` | `setLang(String lang)`
    `void` | `setOnclick(String onclick)`
    `void` | `setOndblclick(String ondblclick)`
    `void` | `setOnkeydown(String onkeydown)`
    `void` | `setOnkeypress(String onkeypress)`
    `void` | `setOnkeyup(String onkeyup)`
    `void` | `setOnmousedown(String onmousedown)`
    `void` | `setOnmousemove(String onmousemove)`
    `void` | `setOnmouseout(String onmouseout)`
    `void` | `setOnmouseover(String onmouseover)`
    `void` | `setOnmouseup(String onmouseup)`
    `void` | `setOnrowclick(String onrowclick)`
    `void` | `setOnrowdblclick(String onrowdblclick)`
    `void` | `setOnrowkeydown(String onrowkeydown)`
    `void` | `setOnrowkeypress(String onrowkeypress)`
    `void` | `setOnrowkeyup(String onrowkeyup)`
    `void` | `setOnrowmousedown(String onrowmousedown)`
    `void` | `setOnrowmousemove(String onrowmousemove)`
    `void` | `setOnrowmouseout(String onrowmouseout)`
    `void` | `setOnrowmouseover(String onrowmouseover)`
    `void` | `setOnrowmouseup(String onrowmouseup)`
    `void` | `setRowClass(String rowClass)`
    `void` | `setRowClasses(String rowClasses)`
    `void` | `setStyle(String style)`
    `void` | `setStyleClass(String styleClass)`
    `void` | `setTitle(String title)`
    `void` | `setType(ListType type)`

    - ### Methods inherited from class org.richfaces.component.AbstractList

      `dataChildren, fixedChildren, getTerm`

    - ### Methods inherited from class org.richfaces.component.UISequence

      `captureOrigValue, createComponentState, createExtendedDataModel, createFacesModel, getActualFirst, getActualRows, getFirst, getIterationStatusVar, getRelativeClientId, getRelativeRowIndex, getRowIndex, getRowKeyConverter, getRows, getValue, preEncodeBegin, restoreOrigValue, setFirst, setIterationStatusVar, setRows, setupVariable, setValue, setValueBinding, setValueExpression, updateState, updateState`

    - ### Methods inherited from class org.richfaces.component.UIDataAdaptor

      `allFixedChildren, broadcast, clearExtendedDataModel, clearInitialState, createUniqueId, doUpdate, extractKeySegment, getComponentState, getContainerClientId, getContainerClientId, getExtendedDataModel, getIterationState, getLocalComponentState, getRowCount, getRowData, getRowKey, getRowKeyVar, getStateVar, getVar, getVariablesMap, invokeOnComponent, invokeOnRow, isKeepSaved, isListenerForSource, isRowAvailable, iterate, keepSaved, markInitialState, preDecode, preUpdate, preValidate, processDecodes, processDecodesChildren, processEvent, processEvent, processUpdates, processUpdatesChildren, processValidatesChildren, processValidators, queueEvent, resetChildState, resetDataModel, restoreChildState, restoreChildState, restoreState, saveChildState, saveChildState, saveState, setExtendedDataModel, setId, setIterationState, setKeepSaved, setRowKey, setRowKey, setRowKeyConverter, setRowKeyVar, setStateVar, setVar, visitDataChildren, visitDataChildrenMetaComponents, visitFixedChildren, visitTree, walk, wrapEvent`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getPassThroughAttributes, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getPassThroughAttributes, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, pushComponentToEL, restoreTransientState, saveTransientState, setInView`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

    - ### Methods inherited from interface org.richfaces.component.attribute.IterationProps

      `getFirst, getIterationStatusVar, getRowKeyVar, getStateVar, getValue, getVar, isKeepSaved`

    - ### Methods inherited from interface org.richfaces.component.attribute.RowsProps

      `getRows`

    - ### Methods inherited from interface org.richfaces.component.attribute.SequenceProps

      `getRowKeyConverter`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### UIList

          public UIList()

  - ### Method Detail

    - #### getFamily

          public String getFamily()

      Overrides:
        `getFamily` in class `UIDataAdaptor`

    - #### getEventNames

          public Collection<String> getEventNames()

      Specified by:
        `getEventNames` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getEventNames` in class `javax.faces.component.UIComponentBase`

    - #### getDefaultEventName

          public String getDefaultEventName()

      Specified by:
        `getDefaultEventName` in interface `javax.faces.component.behavior.ClientBehaviorHolder`
      Overrides:
        `getDefaultEventName` in class `javax.faces.component.UIComponentBase`

    - #### getDir

          public String getDir()

      Description copied from interface: `I18nProps`
      Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left).
      Specified by:
        `getDir` in interface `I18nProps`

    - #### setDir

          public void setDir(String dir)

    - #### getLang

          public String getLang()

      Description copied from interface: `I18nProps`
      Code describing the language used in the generated markup for this component.
      Specified by:
        `getLang` in interface `I18nProps`

    - #### setLang

          public void setLang(String lang)

    - #### getOnclick

          public String getOnclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is clicked over this element.
      Specified by:
        `getOnclick` in interface `EventsMouseProps`

    - #### setOnclick

          public void setOnclick(String onclick)

    - #### getOndblclick

          public String getOndblclick()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is double clicked over this element.
      Specified by:
        `getOndblclick` in interface `EventsMouseProps`

    - #### setOndblclick

          public void setOndblclick(String ondblclick)

    - #### getOnkeydown

          public String getOnkeydown()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed down over this element.
      Specified by:
        `getOnkeydown` in interface `EventsKeyProps`

    - #### setOnkeydown

          public void setOnkeydown(String onkeydown)

    - #### getOnkeypress

          public String getOnkeypress()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is pressed and released over this element.
      Specified by:
        `getOnkeypress` in interface `EventsKeyProps`

    - #### setOnkeypress

          public void setOnkeypress(String onkeypress)

    - #### getOnkeyup

          public String getOnkeyup()

      Description copied from interface: `EventsKeyProps`
      Javascript code executed when a key is released over this element.
      Specified by:
        `getOnkeyup` in interface `EventsKeyProps`

    - #### setOnkeyup

          public void setOnkeyup(String onkeyup)

    - #### getOnmousedown

          public String getOnmousedown()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is pressed down over this element.
      Specified by:
        `getOnmousedown` in interface `EventsMouseProps`

    - #### setOnmousedown

          public void setOnmousedown(String onmousedown)

    - #### getOnmousemove

          public String getOnmousemove()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved within this element.
      Specified by:
        `getOnmousemove` in interface `EventsMouseProps`

    - #### setOnmousemove

          public void setOnmousemove(String onmousemove)

    - #### getOnmouseout

          public String getOnmouseout()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved away from this element.
      Specified by:
        `getOnmouseout` in interface `EventsMouseProps`

    - #### setOnmouseout

          public void setOnmouseout(String onmouseout)

    - #### getOnmouseover

          public String getOnmouseover()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is moved onto this element.
      Specified by:
        `getOnmouseover` in interface `EventsMouseProps`

    - #### setOnmouseover

          public void setOnmouseover(String onmouseover)

    - #### getOnmouseup

          public String getOnmouseup()

      Description copied from interface: `EventsMouseProps`
      Javascript code executed when a pointer button is released over this element.
      Specified by:
        `getOnmouseup` in interface `EventsMouseProps`

    - #### setOnmouseup

          public void setOnmouseup(String onmouseup)

    - #### getOnrowclick

          public String getOnrowclick()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is clicked over table row.
      Specified by:
        `getOnrowclick` in interface `EventsRowProps`

    - #### setOnrowclick

          public void setOnrowclick(String onrowclick)

    - #### getOnrowdblclick

          public String getOnrowdblclick()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is double clicked over table row.
      Specified by:
        `getOnrowdblclick` in interface `EventsRowProps`

    - #### setOnrowdblclick

          public void setOnrowdblclick(String onrowdblclick)

    - #### getOnrowkeydown

          public String getOnrowkeydown()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a key is pressed down over table row.
      Specified by:
        `getOnrowkeydown` in interface `EventsRowProps`

    - #### setOnrowkeydown

          public void setOnrowkeydown(String onrowkeydown)

    - #### getOnrowkeypress

          public String getOnrowkeypress()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a key is pressed and released over table row.
      Specified by:
        `getOnrowkeypress` in interface `EventsRowProps`

    - #### setOnrowkeypress

          public void setOnrowkeypress(String onrowkeypress)

    - #### getOnrowkeyup

          public String getOnrowkeyup()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a key is released over table row.
      Specified by:
        `getOnrowkeyup` in interface `EventsRowProps`

    - #### setOnrowkeyup

          public void setOnrowkeyup(String onrowkeyup)

    - #### getOnrowmousedown

          public String getOnrowmousedown()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is pressed down over table row.
      Specified by:
        `getOnrowmousedown` in interface `EventsRowProps`

    - #### setOnrowmousedown

          public void setOnrowmousedown(String onrowmousedown)

    - #### getOnrowmousemove

          public String getOnrowmousemove()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is moved within table row.
      Specified by:
        `getOnrowmousemove` in interface `EventsRowProps`

    - #### setOnrowmousemove

          public void setOnrowmousemove(String onrowmousemove)

    - #### getOnrowmouseout

          public String getOnrowmouseout()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is moved away from table row.
      Specified by:
        `getOnrowmouseout` in interface `EventsRowProps`

    - #### setOnrowmouseout

          public void setOnrowmouseout(String onrowmouseout)

    - #### getOnrowmouseover

          public String getOnrowmouseover()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is moved onto table row.
      Specified by:
        `getOnrowmouseover` in interface `EventsRowProps`

    - #### setOnrowmouseover

          public void setOnrowmouseover(String onrowmouseover)

    - #### getOnrowmouseup

          public String getOnrowmouseup()

      Description copied from interface: `EventsRowProps`
      Javascript code executed when a pointer button is released over table row.
      Specified by:
        `getOnrowmouseup` in interface `EventsRowProps`

    - #### setOnrowmouseup

          public void setOnrowmouseup(String onrowmouseup)

    - #### getRowClass

          public String getRowClass()

      Description copied from class: `AbstractList`
      Assigns one or more space-separated CSS class names to the list rows
      Specified by:
        `getRowClass` in class `AbstractList`

    - #### setRowClass

          public void setRowClass(String rowClass)

    - #### getRowClasses

          public String getRowClasses()

      Description copied from class: `AbstractList`
      Assigns one or more space-separated CSS class names to the rows of the table. If the CSS class names are comma-separated, each class will be assigned to a particular row in the order they follow in the attribute. If you have less class names than rows, the class will be applied to every n-fold row where n is the order in which the class is listed in the attribute. If there are more class names than rows, the overflow ones are ignored.
      Specified by:
        `getRowClasses` in class `AbstractList`

    - #### setRowClasses

          public void setRowClasses(String rowClasses)

    - #### getStyle

          public String getStyle()

      Description copied from interface: `CoreProps`
      CSS style(s) to be applied when this component is rendered.
      Specified by:
        `getStyle` in interface `CoreProps`

    - #### setStyle

          public void setStyle(String style)

    - #### getStyleClass

          public String getStyleClass()

      Description copied from interface: `CoreProps`
      Space-separated list of CSS style class(es) to be applied when this element is rendered. This value must be passed through as the "class" attribute on generated markup.
      Specified by:
        `getStyleClass` in interface `CoreProps`

    - #### setStyleClass

          public void setStyleClass(String styleClass)

    - #### getTitle

          public String getTitle()

      Description copied from interface: `CoreProps`
      Advisory title information about markup elements generated for this component.
      Specified by:
        `getTitle` in interface `CoreProps`

    - #### setTitle

          public void setTitle(String title)

    - #### getType

          public ListType getType()

      Description copied from class: `AbstractList`
      The type of the list: unordered (default), ordered, definitions
      Specified by:
        `getType` in class `AbstractList`

    - #### setType

          public void setType(ListType type)

Copyright © 2014 JBoss by Red Hat. All Rights Reserved.